//
//  Article.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 08/07/10.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface Article : NSObject {
	NSMutableDictionary* dic;
	NSString* _abstract;
	NSString* _memo;
	NSNumber* _articleID;
	NSArray* _authors;
	NSArray* _meshKeywords;
	NSMutableDictionary* ids;
}
+(id)article;
-(NSString*)description;
-(id)setDictionary:(NSDictionary*)DictionaryInformation;

// depress in future
-(id)objectForKey:(NSString*)key;
-(NSDictionary*) info;
//

- (NSNumber*)articleID;
- (NSString*)doi;
- (NSString*)id;
- (NSString*)idtype;
- (NSString*)title;
- (NSString*)journal;
- (NSString*)volume;
- (NSString*)number;
- (NSString*)filepath;
- (NSString*)author;
- (NSString*)year;
- (NSString*)pages;
- (NSString*)importdate;
- (NSString*)myRate;
- (NSString*)memo;
- (NSString*)mark;
- (NSString*)abstract;
- (NSArray*)supplementFiles;
- (NSArray*)meshKeywords;
- (NSArray*)meshHeadings;
- (NSArray*)authors;
- (NSArray*)annotations;

- (void)setMark:(NSString*)m;
- (void)setRate:(NSNumber*)r;
- (void)setMemo:(NSString*)m;
- (void)setSupplementFiles:(NSArray*)s;
- (void)setAnnotations:(NSArray*)annotations;

- (void)setDoi:(NSString*)d;
- (void)setId:(NSString*)d;
- (void)setIdtype:(NSString*)d;
- (void)setTitle:(NSString*)d;
- (void)setJournal:(NSString*)d;
- (void)setVolume:(NSString*)d;
- (void)setNumber:(NSString*)d;
- (void)setFilepath:(NSString*)d;
- (void)setAuthors:(NSArray*)d;
- (void)setYear:(NSString*)d;
- (void)setPages:(NSString*)d;
- (void)setAbstract:(NSString*)a;
- (void)setMeshKeywords:(NSArray*)a;

- (void)setIds:(NSString*)idnum idname:(NSString*)idname;
- (NSDictionary*)getIDs;

@end
