//
//  InfoGetter.h
//  iPapers2
//
//  Created by Toshihiro Aoyama on 08/10/01.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "Article.h"

@interface InfoGetter : NSObject {
	BOOL _isSearching;
    id _delegate;
	SEL _selector;

	NSArray* _ids;
	int count;
	NSMutableArray* _articles;
	
	NSMutableData* httpData;
	NSStringEncoding encoding;
	NSURLConnection* theConnection;
}
+ (id) instance;
- (Article*)parse:(NSData*)data encoding:(NSStringEncoding)encoding;
- (BOOL) fetchAnArticle;
- (BOOL) fetchArticlesInfo:(NSArray*)ids delegate:(id)delegate selector:(SEL)selector;

- (void) setDelegateAndSelector:delegate selector:(SEL)selector;
@end
